/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TARMEQUIVALENCIA")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tarmequivalencia.findAll", query = "SELECT t FROM Tarmequivalencia t"),
    @NamedQuery(name = "Tarmequivalencia.findByCodigo", query = "SELECT t FROM Tarmequivalencia t WHERE t.codigo = :codigo"),
    @NamedQuery(name = "Tarmequivalencia.findByCatalogo", query = "SELECT t FROM Tarmequivalencia t WHERE t.catalogo = :catalogo"),
    @NamedQuery(name = "Tarmequivalencia.findByUnidadmedida", query = "SELECT t FROM Tarmequivalencia t WHERE t.unidadmedida = :unidadmedida"),
    @NamedQuery(name = "Tarmequivalencia.findByUnidadequivalente", query = "SELECT t FROM Tarmequivalencia t WHERE t.unidadequivalente = :unidadequivalente"),
    @NamedQuery(name = "Tarmequivalencia.findByValorequivalencia", query = "SELECT t FROM Tarmequivalencia t WHERE t.valorequivalencia = :valorequivalencia")})
public class Tarmequivalencia implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "CODIGO")
    private String codigo;
    @Column(name = "CATALOGO")
    private String catalogo;
    @Column(name = "UNIDADMEDIDA")
    private String unidadmedida;
    @Column(name = "UNIDADEQUIVALENTE")
    private String unidadequivalente;
    // @Max(value=?)  @Min(value=?)//if you know range of your decimal fields consider using these annotations to enforce field validation
    @Column(name = "VALOREQUIVALENCIA")
    private Double valorequivalencia;

    public Tarmequivalencia() {
    }

    public Tarmequivalencia(String codigo) {
        this.codigo = codigo;
    }

    public String getCodigo() {
        return codigo;
    }

    public void setCodigo(String codigo) {
        this.codigo = codigo;
    }

    public String getCatalogo() {
        return catalogo;
    }

    public void setCatalogo(String catalogo) {
        this.catalogo = catalogo;
    }

    public String getUnidadmedida() {
        return unidadmedida;
    }

    public void setUnidadmedida(String unidadmedida) {
        this.unidadmedida = unidadmedida;
    }

    public String getUnidadequivalente() {
        return unidadequivalente;
    }

    public void setUnidadequivalente(String unidadequivalente) {
        this.unidadequivalente = unidadequivalente;
    }

    public Double getValorequivalencia() {
        return valorequivalencia;
    }

    public void setValorequivalencia(Double valorequivalencia) {
        this.valorequivalencia = valorequivalencia;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (codigo != null ? codigo.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tarmequivalencia)) {
            return false;
        }
        Tarmequivalencia other = (Tarmequivalencia) object;
        if ((this.codigo == null && other.codigo != null) || (this.codigo != null && !this.codigo.equals(other.codigo))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tarmequivalencia[ codigo=" + codigo + " ]";
    }
    
}
